Get a metadata list
- Base URL
-
https://{kibana_url}
- GET /api/endpoint/metadata
- GET /s/{space_id}/api/endpoint/metadata
Refer to Spaces for more information.
Get a list of all endpoint host metadata.
Query parameters
-
kuerystring · max length: 30000 -
A KQL string to filter the endpoint metadata results.
-
Example:
united.endpoint.host.os.name : 'Windows' -
hostStatusesenum · max items: 20required -
A set of host statuses to filter the results by (for example,
healthy,updating). -
Values:
healthyofflineupdatinginactiveunenrolled
Response
Indicates a successful call.
Response Type: object